net.sourceforge.pmd.cpd

## Class JavaTokenizer

- java.lang.Object
- - net.sourceforge.pmd.cpd.JavaTokenizer

All Implemented Interfaces:
  Tokenizer

    public class JavaTokenizer
    extends Object
    implements Tokenizer

### Field Summary

Fields
`static String` `CPD_END`
`static String` `CPD_START`
`static String` `IGNORE_ANNOTATIONS`
`static String` `IGNORE_IDENTIFIERS`
`static String` `IGNORE_LITERALS`

### Constructor Summary

Constructors
Constructor and Description
`JavaTokenizer()`

### Method Summary

Methods
`void` `setIgnoreAnnotations(boolean ignoreAnnotations)`
`void` `setIgnoreIdentifiers(boolean ignore)`
`void` `setIgnoreLiterals(boolean ignore)`
`void` `setProperties(Properties properties)`
`void` `tokenize(SourceCode sourceCode, Tokens tokenEntries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORE_LITERALS

    public static final String IGNORE_LITERALS

See Also:
  Constant Field Values

#### IGNORE_IDENTIFIERS

    public static final String IGNORE_IDENTIFIERS

See Also:
  Constant Field Values

#### IGNORE_ANNOTATIONS

    public static final String IGNORE_ANNOTATIONS

See Also:
  Constant Field Values

#### CPD_START

    public static final String CPD_START

See Also:
  Constant Field Values

#### CPD_END

    public static final String CPD_END

See Also:
  Constant Field Values

### Constructor Detail

#### JavaTokenizer

    public JavaTokenizer()

### Method Detail

#### setProperties

    public void setProperties(Properties properties)

#### tokenize

    public void tokenize(SourceCode sourceCode,
                Tokens tokenEntries)

Specified by:
  `tokenize` in interface `Tokenizer`

#### setIgnoreLiterals

    public void setIgnoreLiterals(boolean ignore)

#### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean ignore)

#### setIgnoreAnnotations

    public void setIgnoreAnnotations(boolean ignoreAnnotations)